
#ifndef __SENSOR_CTRL_H__
#define __SENSOR_CTRL_H__
/**HEADER********************************************************************
* 
* Copyright (c) 2010 Avnet Japan Co.,Ltd (NIKE Borad Project.)
* All Rights Reserved
*
*************************************************************************** 
*
* $FileName: sensor_ctrl.h$
* $Version : 0.0.5.0$
* $Date    : Nov-26-2009$
*
* Comments:
*
*   Sensor( Acceleration, temp EEEE etc.) driver header file
*
*END************************************************************************/
#if MQX_USE_LWEVENTS
    #include <lwevent.h>
#endif
/*----------------------------------------------------------------------*/
/*
**  CONSTANT DEFINITIONS
*/

#ifdef __cplusplus
extern "C" {
#endif

/* Sensor Mode */
/* Attention!!!!
   Normal and strength cannot coexist. 
*/

#define SENSOR_3AXIS_MODE_NORMAL        0x00
//#define SENSOR_3AXIS_MODE_STRENGTH      0x01
#define SENSOR_3AXIS_MODE_Z_TYPE        0x02
//#define SENSOR_3AXIS_MODE_IMPACT        __BIT(7)

/* */
#define SENSOR_3AXIS_DEFAULT_MODE       (SENSOR_3AXIS_MODE_NORMAL)


/* Sensor 3AXIS ACTION_TYPE_TABLE = SoundType (Signal_Task.h)*/
enum _SENSOR_ACTION_TYPE_TABLE{
  SENSOR_3AXIS_ACTION_X = 0,
  SENSOR_3AXIS_ACTION_Y,
  SENSOR_3AXIS_ACTION_Z,
  SENSOR_3AXIS_ACTION_INPACT,
  SENSOR_3AXIS_ACTION_Z_SHAKE,
  SENSOR_3AXIS_ACTION_TYPE_MAX
};

#define SENSOR_3AXIS_ACTION_TYPE_SIZE        SENSOR_3AXIS_ACTION_TYPE_MAX
#define SENSOR_3AXIS_SOUND_TYPE_SIZE         SENSOR_3AXIS_ACTION_TYPE_SIZE

/* Sensor threshold Max (12bit Value Max = 0x0FFF) */
#define SENSOR_3AXIS_THRESHOLD_MAX           (0x0FFF)

typedef struct _sesnsor_act_type_param {
//    uint_16   threshold;
//    uchar     soundType;
//    uchar     reserve;
    uint_16   threshold;
    uint_16   soundType;
} SENSOR_ACT_TYPE_PARAM, _PTR_ SENSOR_ACT_TYPE_PARAM_PTR;


/* Sensor Parameter */
typedef struct _sensor_param{
    uint_32   mode;
    SENSOR_ACT_TYPE_PARAM   act_param[SENSOR_3AXIS_ACTION_TYPE_SIZE];
} SENSOR_PARAM, _PTR_ SENSOR_PARAM_PTR;


/* Sensor API Function */
_mqx_int sensorCtrlSetActionThreshold( uchar type, uint_16 value);
_mqx_int sensorCtrlSetSoundOfAction( uchar type, uint_16 soundType);
_mqx_int sensorCtrlSetDebugMode( boolean enable);
_mqx_int sensorCtrlSetMode( uchar mode);
_mqx_int sensorCtrlGetAdc( SENSOR_ADC_VALUE_TYPE *pData, _mqx_int num);
_mqx_int sensorCtrlGetParam( SENSOR_PARAM *pData);


/* Sensor Error Code */
#define SENSOR_OK                            (0)
#define SENSOR_ERR_INVALID_ARG               (-1)
#define SENSOR_ERR_SET_EVENT                 (-2)

#endif /* __SENSOR_H__ */

/* EOF */
