
#ifndef __SIGNAL_EFFECT_H__
#define __SIGNAL_EFFECT_H__
/**HEADER********************************************************************
* 
* Copyright (c) 2010 Avnet Japan Co.,Ltd (NIKE Borad Project.)
* All Rights Reserved
*
*************************************************************************** 
*
* $FileName: Signal_Task.h$
* $Version : 0.0.5.0$
* $Date    : Nov-26-2009$
*
* Comments:
*
*   Sensor( Acceleration, temp EEEE etc.) driver header file
*
*END************************************************************************/
#if MQX_USE_LWEVENTS
    #include <lwevent.h>
#endif
/*----------------------------------------------------------------------*/
/*
**  CONSTANT DEFINITIONS
*/

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
	uint_16 distortion_gain_val;
	int_16 distortion_range_max;
	int_16 distortion_range_min;
	uint_16 fuzz_gain_val;
	int_16 fuzz_range_max;
	int_16 fuzz_range_min;
	uint_8 echo_delay_val;
} EFFECT_PARAMS, * EFFECT_PARAMS_PTR;


/* SIGNAL_EFFECT_TYPE for table pEffect_func[] on Signal_Task.c  */
enum SIGNAL_EFFECT_TYPE{
	SIGNAL_EFFECT_TYPE_NORMAL = 0,
	SIGNAL_EFFECT_TYPE_ECHO,
	SIGNAL_EFFECT_TYPE_DISTORTION,
	SIGNAL_EFFECT_TYPE_FUZZ,
	SIGNAL_EFFECT_TYPE_CHORUS,
	SIGNAL_EFFECT_TYPE_PT,
	SIGNAL_EFFECT_TYPE_MAX
};

#define SIGNAL_EFFECT_STAT_LIMIT  0x0100
#define SIGNAL_EFFECT_STAT_NORMAL 0x0000
#define SIGNAL_EFFECT_STAT_MASK   0x00FF

#define SIGNAL_EFFECT_CODE(a, b)  ((uint_16)(a|b))

#define SIGNAL_EFFECT_ID_NORMAL      (SIGNAL_EFFECT_CODE(SIGNAL_EFFECT_STAT_NORMAL, SIGNAL_EFFECT_TYPE_NORMAL))
#define SIGNAL_EFFECT_ID_ECHO        (SIGNAL_EFFECT_CODE(SIGNAL_EFFECT_STAT_NORMAL, SIGNAL_EFFECT_TYPE_ECHO))
#define SIGNAL_EFFECT_ID_DISTORTION  (SIGNAL_EFFECT_CODE(SIGNAL_EFFECT_STAT_NORMAL,  SIGNAL_EFFECT_TYPE_DISTORTION))
#define SIGNAL_EFFECT_ID_DISTORTION_LIMIT  (SIGNAL_EFFECT_CODE(SIGNAL_EFFECT_STAT_LIMIT,  SIGNAL_EFFECT_TYPE_DISTORTION))
#define SIGNAL_EFFECT_ID_FUZZ        (SIGNAL_EFFECT_CODE(SIGNAL_EFFECT_STAT_NORMAL, SIGNAL_EFFECT_TYPE_FUZZ))
#define SIGNAL_EFFECT_ID_CHORUS      (SIGNAL_EFFECT_CODE(SIGNAL_EFFECT_STAT_NORMAL, SIGNAL_EFFECT_TYPE_CHORUS))
#define SIGNAL_EFFECT_ID_MAX         (SIGNAL_EFFECT_CODE(SIGNAL_EFFECT_STAT_NORMAL, SIGNAL_EFFECT_TYPE_MAX))


_mqx_int SignalEffectStopAcceleration(_mqx_int effect_no);
_mqx_int effect_change_distortion_gain(_mqx_int change_val);
_mqx_int effect_change_distortion_range(_mqx_int change_val);
_mqx_int effect_change_fuzz_gain(_mqx_int change_val);
_mqx_int effect_change_fuzz_range(_mqx_int change_val);
//_mqx_int effect_change_echo_gain(_mqx_int change_val);
_mqx_int effect_change_echo_delay(_mqx_int change_val);
void effect_show_params(void);
_mqx_int SignalEvent_Set_Effect_Type(_mqx_int effect_type);
//_mqx_int SignalEvent_Change_Effect_Bank(_mqx_int bank_number);
_mqx_int SignalEvent_Change_Effect_Bank(_mqx_int para_3AXIS, _mqx_int level_3AXIS);


_mqx_int effect_change_set_bank(_mqx_int bank_number, _mqx_int first_effect_type, _mqx_int second_effect_type);
_mqx_int SignalEvent_Toggle_Effect_Bank(void);
_mqx_int SignalEvent_Set_RECODE_REC(void);
_mqx_int SignalEvent_Set_RECODE_PLAY(void);
_mqx_int SignalEvent_Set_RECODE_REC_STOP(void);
_mqx_int SignalEvent_Set_RECODE_PLAY_STOP(void);

#endif /* __SIGNAL_EFFECT_H__ */

/* EOF */
