/*********************************************
 Freescale Semiconductor 2007
 (c) COPYRIGHT Freescale Semiconductor 2007
 ALL RIGHTS RESERVED.
**********************************************/

/* This file contains IIR filter parameters for Butterworth filters
All normalized cutoff frequencies use the convention, f_nyquist = 1 = fs/2.
*/

#include "iir_filters.h"
#if 0
/* -------------------------------------------------------------------- */
/* Butterworth Lowpass Filter, order=2, cutoff frequency=0.20*f_nyquist */
int16 butter2_lp_0_20_coef[ 6] = {   8841,  17683,   8841,  // numerator coefficients
                                    -6763,  18727,      0}; // denominator coefficients
uint8 butter2_lp_0_20_num_sf   = 17; // numerator fixed point scale factor
uint8 butter2_lp_0_20_den_sf   = 14; // denominator fixed point scale factor
uint8 butter2_lp_0_20_order    =  2; // filter order

/* -------------------------------------------------------------------- */
/* Butterworth Lowpass Filter, order=2, cutoff frequency=0.85*f_nyquist */
int16 butter2_lp_0_85_coef[ 6] = {  11727,  23453,  11727,  // numerator coefficients
                                    -8421, -22101,      0}; // denominator coefficients
uint8 butter2_lp_0_85_num_sf   = 14; // numerator fixed point scale factor
uint8 butter2_lp_0_85_den_sf   = 14; // denominator fixed point scale factor
uint8 butter2_lp_0_85_order    =  2; // filter order
#endif

