/*********************************************
 Freescale Semiconductor 2007
 (c) COPYRIGHT Freescale Semiconductor 2007
 ALL RIGHTS RESERVED.
**********************************************/

/* This file contains IIR filter parameters for Butterworth filters
All normalized cutoff frequencies use the convention, f_nyquist = 1 = fs/2.
*/

#ifndef _IIR_FILTERS_H_
#define _IIR_FILTERS_H_

#include "dsp_common.h"

/* -------------------------------------------------------------------- */
/* Butterworth Lowpass Filter, order=2, cutoff frequency=0.20*f_nyquist */
extern int16 butter2_lp_0_20_coef[ 6];
extern uint8 butter2_lp_0_20_num_sf;
extern uint8 butter2_lp_0_20_den_sf;
extern uint8 butter2_lp_0_20_order;

/* -------------------------------------------------------------------- */
/* Butterworth Lowpass Filter, order=2, cutoff frequency=0.85*f_nyquist */
extern int16 butter2_lp_0_85_coef[ 6];
extern uint8 butter2_lp_0_85_num_sf;
extern uint8 butter2_lp_0_85_den_sf;
extern uint8 butter2_lp_0_85_order;

#endif // _IIR_FILTERS_H_
