/**HEADER********************************************************************
* 
* Copyright (c) 2010 Avnet Japan Co.,Ltd (NIKE Borad Project.)
* All Rights Reserved
*
*************************************************************************** 
*
* $FileName: sensor_adc_list.c$
* $Version : 0.0.5.0$
* $Date    : Nov-11-2009$
*
* Comments:
*
*   X-gab Acceleration Sensor Adc Parameter List
*
*END************************************************************************/

#include <mqx.h>
#include <bsp.h>
#include <sensor.h>
#include <Sensor_Task.h>
#include <sensor_adc_list.h>

#include "NIKE_demo.h"
#include <psptypes.h>


//#if MQX_USE_LWEVENTS
//extern LWEVENT_STRUCT evn;
//#endif

const SENSOR_ADC_INIT_CHANNEL_STRUCT Sensor_adc_channel_param_list[SENSOR_ADC_LIST_CNANNEL_NUM_LIST] = 
{
  /* SENSOR X axis */
  {
    SENSOR_ADC_SOURCE_AN0, /* physical ADC channel */
    (SENSOR_ADC_CHANNEL_MEASURE_LOOP), /* runs continuously after IOCTL trigger */
    10,             /* number of samples in one run sequence */
    0,              /* time offset from trigger point in us */
    200000,         /* period in us (= 0.5 sec) */
    0x10000,        /* scale range of result (not used now) */
    10,             /* circular buffer size (sample count) */
    SENSOR_ADC_TRIGGER_1,  /* logical trigger ID that starts this ADC channel */
#if MQX_USE_LWEVENTS
    NULL
#endif
  },

  /* SENSOR Y axis */
  {
    SENSOR_ADC_SOURCE_AN1, /* physical ADC channel */
    (SENSOR_ADC_CHANNEL_MEASURE_LOOP), /* one sequence is sampled after fopen */
    10,             /* number of samples in one run sequence */
    0,         /* time offset from trigger point in us */
    200000,         /* period in us (= 0.5 sec) */
    0x10000,        /* scale range of result (not used now) */
    10,             /* circular buffer size (sample count) */
    SENSOR_ADC_TRIGGER_2,  /* logical trigger ID that starts this ADC channel */
#if MQX_USE_LWEVENTS
    NULL
#endif
  },

  /* SENSOR Z axis */
  {
    SENSOR_ADC_SOURCE_AN2, /* physical ADC channel */
    (SENSOR_ADC_CHANNEL_MEASURE_LOOP), /* one sequence is sampled after fopen */
    10,             /* number of samples in one run sequence */
    0,         /* time offset from trigger point in us */
    200000,         /* period in us (= 0.5 sec) */
    0x10000,        /* scale range of result (not used now) */
    10,             /* circular buffer size (sample count) */
    SENSOR_ADC_TRIGGER_3,  /* logical trigger ID that starts this ADC channel */
#if MQX_USE_LWEVENTS
    NULL
#endif
  },

  /* SENSOR Temperature */
  {
    SENSOR_ADC_SOURCE_AN3, /* physical ADC channel */
    (SENSOR_ADC_CHANNEL_MEASURE_LOOP), /* one sequence is sampled after fopen */
    10,             /* number of samples in one run sequence */
    0,         /* time offset from trigger point in us */
    200000,         /* period in us (= 0.5 sec) */
    0x10000,        /* scale range of result (not used now) */
    10,             /* circular buffer size (sample count) */
    SENSOR_ADC_TRIGGER_4,  /* logical trigger ID that starts this ADC channel */
#if MQX_USE_LWEVENTS
    NULL
#endif
  }

};

/* EOF */
