#ifndef __adc_mcf52259_prv_h__
#define __adc_mcf52259_prv_h__
/**HEADER********************************************************************
* 
* Copyright (c) 2008 Freescale Semiconductor;
* All Rights Reserved
*
*************************************************************************** 
*
* THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
**************************************************************************
*
* $FileName: adc_mcf522xx_prv.h$
* $Version : 3.0.5.0$
* $Date    : Apr-21-2009$
*
* Comments:
*
*   CPU specific ADC driver header file
*
*END************************************************************************/
#include "adc.h"
#include "adc_prv.h"

/*----------------------------------------------------------------------*/
/*
**                          CONSTANT DEFINITIONS
*/

#ifdef __cplusplus
extern "C" {
#endif

extern _mqx_int _adc_hw_init();
extern _mqx_int _adc_hw_deinit();
extern _mqx_int _adc_hw_channel_init();
extern _mqx_int _adc_hw_channel_deinit();
extern void _adc_hw_measure(ADC_HW_CHANNEL_MASK);
extern _mqx_int _adc_hw_run();
extern _mqx_int _adc_hw_stop();
extern void _adc_hw_set_wait(uint_32);
extern uint_32 _adc_hw_get_time();

/* Structure to hold time values */
typedef struct adc_precomputed_timer_value {
	uint_16  prescaler;
	uint_16  preset;
    uint_64  time;
} ADC_PRECOMPUTED_VALUE;

/* Structure holding ADC driver settings */
typedef struct adc {
   ADC_GENERIC           g; /* this must be included as the first member at the beginning of structure */
   /* below, CPU specific members are used */
   _mqx_int              shift; /* this is the radix we can shift to get from (prescaler+preset) scale to the lowest time */
   uint_32               results[ADC_SOURCE_MAX + 1]; /* here we will store raw results from AD conversion */
} ADC, _PTR_ ADC_PTR;

/* Structure holding ADC driver channel settings */
typedef struct adc_channel {
   ADC_CHANNEL_GENERIC   g; /* this must be included as the first member at the beginning of structure */
   /* below, CPU specific members are used */
} ADC_CHANNEL, _PTR_ ADC_CHANNEL_PTR;

#ifdef __cplusplus
}
#endif

#endif

/* EOF */
