/**HEADER********************************************************************
* 
* Copyright (c) 2008 Freescale Semiconductor;
* All Rights Reserved                       
*
*************************************************************************** 
*
* THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
**************************************************************************
*
* $FileName: mcf522xx_dev_main.h$
* $Version : 3.0.2.0$
* $Date    : Mar-11-2009$
*
* Comments:
*
*   This file contains the macros, function prototypes and data structure
*   definitions required by the MCF522XX USB Device Controller driver.
*
*END************************************************************************/

#ifndef __mcf522xx_dev_main_h__
#define __mcf522xx_dev_main_h__

#include "usb_dev_types.h"
#include "devapi.h"

extern uint_8 Descriptor[];
extern uint_32 DescriptorSize;
extern uint_8_ptr USB_STRING_DESCS[];
extern uint_8 USB_STR_NUM;

/***************************************
**
** Prototypes
**
*/
#ifdef __cplusplus
extern "C" {
#endif

uint_8 _usb_dci_mcf522xx_init(uint_8, _usb_device_handle);
uint_8 _usb_dci_mcf522xx_send(_usb_device_handle, XD_STRUCT_PTR);
uint_8 _usb_dci_mcf522xx_recv(_usb_device_handle, XD_STRUCT_PTR);
uint_8 _usb_dci_mcf522xx_cancel(_usb_device_handle, uint_8, uint_8);
uint_8 _usb_dci_mcf522xx_set_addr(_usb_device_handle, uint_8);
uint_8 _usb_dci_mcf522xx_shutdown(_usb_device_handle);
uint_8 _usb_dci_mcf522xx_get_setup_data(_usb_device_handle, uint_8, uchar_ptr);
uint_8 _usb_dci_mcf522xx_assert_resume(_usb_device_handle);
uint_8 _usb_dci_mcf522xx_stall_endpoint(_usb_device_handle, uint_8, uint_8);

#ifdef __cplusplus
}
#endif

#endif